package api

import "math"

// func getRowHeight(content string, width float64,lineHeight float64) float64 {
// 第一个参数为 行宽 第二个参数为 行高
func getRowHeight(content string, params ...float64) float64 {
	var perHeight float64 = 16
	if len(params) == 2 {
		perHeight = params[1]
	}
	num := float64(len([]rune(content)))
	// 一行能容纳多少字
	rowNum := params[0] / 1.5
	// 向上取整获取行数 * 每行高度
	rowHeight := math.Ceil(num/rowNum) * perHeight
	return rowHeight

}
